Skip to main content
`Ctrl`+`K`

# PFSetType

Builds `PF` for a particular function

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFSetType(PF pf, PFType type, PetscCtx ctx)

Collective

## Input Parameters

- pf - the function context.

- type - a known method

- ctx - optional type dependent context

## Options Database Key

- -pf_type type - Sets PF type

## Note

See “petsc/include/petscpf.h” for available methods (for instance, `PFCONSTANT`)

## See Also

`PF`, `PFSet()`, `PFRegister()`, `PFCreate()`, `DMDACreatePF()`

## Level

intermediate

## Location

src/vec/pf/interface/pf.c

## Examples

src/snes/tutorials/ex22.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages